% Systeemien identifiointi
% Laskuharjoitus 1, tehtv 4.

x0 = 10;    % Verensokerin tasapainopiste

omaaInsuliinia = false;

x_start     = 9;    % sokeri alussa
y_start     = 0;    % insuliini alussa
if omaaInsuliinia
    w_amplitude = 0.0;   % insuliinipulssin koko ( = b3 * w(t))
else
    w_amplitude = 0.04;  
end
z_amplitude = 2;    % sokeripulssinpulssin koko ( = a3 * z(t))
wz_period   = 8;    % pulssien vliaika
w_delay     = 4;    % ensimmisen insuliinipulssin antoaika
z_delay     = 3;    % ensimmisen sokeripulssin antoaika

a1 = 1;     % sokerin hajoamisvakio     (-a1 * x * y)
a2 = 1;     % maksan vapauttama sokeri  (a2 * max{x0 - x, 0})

if omaaInsuliinia
    b1 = 1.5;   % maksan tuottama insuliini (b1 * max{x - x0, 0})
else
    b1 = 0;    
end
b2 = 0.2;   % insuliinin hajoamisnopeus (-ba * max{y, 0})

% Ajetaan malli, ulostulo structure-muodossa
opts1 = simset(simget('lh1t4_mdl'),'SaveFormat','Structure');
[time, x, y] = sim('lh1t4_mdl', [], opts1);

% visualisoidaan
subplot(2,1,1) % jakaa ikkunan kahteen
[AX] = plotyy(time, y.signals(1).values, time, y.signals(2).values); % plottaa kaksi signaalia ja kaksi y-akselia
set(get(AX(1),'Ylabel'), 'String', [y.signals(1).blockName ' ' y.signals(1).label ]); % asettaa y-akselin nimen
set(get(AX(2),'Ylabel'), 'String', [y.signals(2).blockName ' ' y.signals(2).label ]);

subplot(2,1,2)
[AX] = plotyy(time, y.signals(3).values, time, y.signals(4).values);
set(get(AX(1),'Ylabel'), 'String', [y.signals(3).blockName ' ' y.signals(3).label ]);
set(get(AX(2),'Ylabel'), 'String', [y.signals(4).blockName ' ' y.signals(4).label ]);
